Subject: bug#77945: [PATCH] Add optional inherit argument to 'face-all-attributes'

From: Ship Mints <[email-masked]>
Date: Mon, 21 Apr 2025 09:34:07 -0400

On Mon, Apr 21, 2025 at 8:53 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Ship Mints <[email-masked]>
> > Date: Mon, 21 Apr 2025 08:11:00 -0400
> > Cc: [email-masked]
> >
> > On Mon, Apr 21, 2025 at 8:04 AM Eli Zaretskii <[email-masked]> wrote:
> >
> >  > From: Ship Mints <[email-masked]>
> >  > Date: Sun, 20 Apr 2025 17:45:40 -0400
> >  > Cc: [email-masked]
> >  >
> >  >  Please describe the situations where you need this, and what is
> >  >  missing if the inherited attributes are not shown.
> >  >
> >  >  > It's not clear to me if this warrants news.
> >  >
> >  >  It does.  Moreover, the function's documentation in the ELisp manual
> >  >  needs to be updated.
> >  >
> >  > I've found this useful when trying to understand face definitions and
> when inheritance is out of order
> >  vs.
> >  > intended.
> >
> >  Doesn't describe-face already satisfy that need?
> >
> > I wanted a programmatic API where I could "diff" output.
>
> Sorry, I don't understand.  describe-face produces a buffer that can
> be diff'ed, right?
>

I meant "diff" (hence my use of quotes) in the compare two lists
programmatically sense.  The output of 'describe-face' also seems not to
have alternatives to enable/disable inheritance, not that it helps with
programmatic comparisons.